signon 8.54

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
SignonDaemonNS::CAMConfiguration Class Reference

Configuration object for the CredentialsAccessManager - CAM. More...

`#include <credentialsaccessmanager.h>`

## Public Member Functions
| CAMConfiguration ()
| Constructs a CAMConfiguration object with the default configuration - encryption in use. More...
void | serialize (QIODevice *device)
| Serializes the CAMConfiguration object as string to a specific IODevice. More...
QString | metadataDBPath () const
| Returns the path to the metadata DB. More...
QString | cryptoManagerName () const
| Returns the name of the CryptoManager to use. More...
QString | accessControlManagerName () const
| Returns the name of the AccessControlManager to use. More...
bool | useEncryption () const
QString | secretsStorageName () const
| Returns the name of the SecretsStorage to use. More...
void | setStoragePath (const QString &storagePath)
void | addSetting (const QString &key, const QVariant &value)

## Public Attributes
QString | m_storagePath
| The base directory for storage. More...
QString | m_dbName
| The database file name. More...
QString | m_secretsDbName
| The credentials database file name. More...
QByteArray | m_encryptionPassphrase
| Passphrase used for opening encrypted FS. More...
QVariantMap | m_settings

## Detailed Description

Configuration object for the CredentialsAccessManager - CAM.

Definition at line 104 of file credentialsaccessmanager.h.

## Constructor & Destructor Documentation

CAMConfiguration::CAMConfiguration | ( |  | ) |

Constructs a CAMConfiguration object with the default configuration - encryption in use.

Definition at line 56 of file credentialsaccessmanager.cpp.

References setStoragePath(), and signonDefaultStoragePath.

## Member Function Documentation

QString CAMConfiguration::accessControlManagerName | ( |  | ) | const

Returns the name of the AccessControlManager to use.

Definition at line 98 of file credentialsaccessmanager.cpp.

References m_settings.

Referenced by SignonDaemonNS::CredentialsAccessManager::init(), SignonDaemonNS::CredentialsAccessManager::initExtension(), and serialize().

void SignonDaemonNS::CAMConfiguration::addSetting | ( | const QString & | key,
|  | const QVariant & | value
| ) |  |
| inline

Definition at line 142 of file credentialsaccessmanager.h.

References m_settings.

Referenced by SignonDaemonNS::SignonDaemonConfiguration::load(), and setStoragePath().

QString CAMConfiguration::cryptoManagerName | ( |  | ) | const

Returns the name of the CryptoManager to use.

Definition at line 92 of file credentialsaccessmanager.cpp.

References m_settings.

Referenced by SignonDaemonNS::CredentialsAccessManager::init(), SignonDaemonNS::CredentialsAccessManager::initExtension(), serialize(), and useEncryption().

QString CAMConfiguration::metadataDBPath | ( |  | ) | const

Returns the path to the metadata DB.

Definition at line 87 of file credentialsaccessmanager.cpp.

References m_dbName, and m_storagePath.

Referenced by serialize().

QString CAMConfiguration::secretsStorageName | ( |  | ) | const

Returns the name of the SecretsStorage to use.

Definition at line 109 of file credentialsaccessmanager.cpp.

References m_settings.

Referenced by SignonDaemonNS::CredentialsAccessManager::init(), SignonDaemonNS::CredentialsAccessManager::initExtension(), and serialize().

void CAMConfiguration::serialize | ( | QIODevice * | device | ) |

Serializes the CAMConfiguration object as string to a specific IODevice.

Parameters

  device,must | not be null.

Definition at line 64 of file credentialsaccessmanager.cpp.

References accessControlManagerName(), cryptoManagerName(), metadataDBPath(), secretsStorageName(), and useEncryption().

Referenced by SignonDaemonNS::CredentialsAccessManager::init().

void CAMConfiguration::setStoragePath | ( | const QString & | storagePath | ) |

Definition at line 115 of file credentialsaccessmanager.cpp.

References addSetting(), and m_storagePath.

Referenced by CAMConfiguration(), and SignonDaemonNS::SignonDaemonConfiguration::load().

bool CAMConfiguration::useEncryption | ( |  | ) | const

Definition at line 104 of file credentialsaccessmanager.cpp.

References cryptoManagerName().

Referenced by SignonDaemonNS::CredentialsAccessManager::init(), and serialize().

## Member Data Documentation

QString SignonDaemonNS::CAMConfiguration::m_dbName

The database file name.

Definition at line 147 of file credentialsaccessmanager.h.

Referenced by SignonDaemonNS::SignonDaemon::backupStarts(), metadataDBPath(), and SignonDaemonNS::SignonDaemon::restoreFinished().

QByteArray SignonDaemonNS::CAMConfiguration::m_encryptionPassphrase

Passphrase used for opening encrypted FS.

Definition at line 149 of file credentialsaccessmanager.h.

Referenced by SignonDaemonNS::SignonDaemonConfiguration::setEncryptionPassphrase().

QString SignonDaemonNS::CAMConfiguration::m_secretsDbName

The credentials database file name.

Definition at line 148 of file credentialsaccessmanager.h.

QVariantMap SignonDaemonNS::CAMConfiguration::m_settings

Definition at line 152 of file credentialsaccessmanager.h.

Referenced by accessControlManagerName(), addSetting(), cryptoManagerName(), SignonDaemonNS::CredentialsAccessManager::init(), and secretsStorageName().

QString SignonDaemonNS::CAMConfiguration::m_storagePath

The base directory for storage.

Definition at line 146 of file credentialsaccessmanager.h.

Referenced by metadataDBPath(), and setStoragePath().

The documentation for this class was generated from the following files:

- src/signond/credentialsaccessmanager.h
- src/signond/credentialsaccessmanager.cpp